API ReferenceEcosystems
Retrieve all ecosystems
Roles
admindts-provider
Analytics Events
ECOSYSTEM_RETRIEVE_LIST_STARTECOSYSTEM_RETRIEVE_LIST_SUCCESSECOSYSTEM_RETRIEVE_LIST_FAIL
GET
/v1/ecosystemsRetrieves a list of ecosystems.
Analytic events
- ECOSYSTEM_RETRIEVE_LIST_START
- ECOSYSTEM_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "integrations": [ { "format": "MATTR", "url": "string", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastModifiedAt": "2019-08-24T14:15:22Z", "failReasons": [ { "type": "string", "message": "string" } ] } } ] } ], "nextCursor": "string"}How would you rate this page?
Create ecosystem POST
Creates an ecosystem. ### **Analytic events** * ECOSYSTEM_CREATE_START * ECOSYSTEM_CREATE_SUCCESS * ECOSYSTEM_CREATE_FAIL
Retrieve ecosystem GET
Retrieves an ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_RETRIEVE_START * ECOSYSTEM_RETRIEVE_SUCCESS * ECOSYSTEM_RETRIEVE_FAIL